commit:     d06046cb3bb5d3fa89066c97e9aba56175c8b019
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 12 08:18:13 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Aug 12 08:19:20 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d06046cb

app-editors/nano: Revbump to re-enable some syntax files again

Closes: https://bugs.gentoo.org/736848
Package-Manager: Portage-3.0.2, Repoman-2.3.23
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-editors/nano/{nano-5.0.ebuild => nano-5.0-r1.ebuild} | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/app-editors/nano/nano-5.0.ebuild 
b/app-editors/nano/nano-5.0-r1.ebuild
similarity index 91%
rename from app-editors/nano/nano-5.0.ebuild
rename to app-editors/nano/nano-5.0-r1.ebuild
index e49803f3fe5..1a12756b35a 100644
--- a/app-editors/nano/nano-5.0.ebuild
+++ b/app-editors/nano/nano-5.0-r1.ebuild
@@ -79,5 +79,11 @@ src_install() {
                        "${ED}"/etc/nanorc || die
        fi
 
+       # Since nano-5.0 these are no longer being "enabled" by default
+       # (bug #736848)
+       local rcdir="/usr/share/nano"
+       mv "${ED}"${rcdir}/extra/* "${ED}"/${rcdir}/ || die
+       rmdir "${ED}"${rcdir}/extra || die
+
        use split-usr && dosym ../../bin/nano /usr/bin/nano
 }

Reply via email to